> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Monthly Stats

> Track channel growth and engagement monthly basis.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "stats": [
      {
        "month": "March",
        "date": "01-03-2025",
        "dateISO": "2025-03-01T00:00:00.000Z",
        "subscriberCount": 380000000,
        "subscriberCountDelta": 12000000,
        "viewCount": 77023434630,
        "viewCountDelta": 2948164711,
        "videoCount": 858,
        "videoCountDelta": 8,
        "estimatedLowRevenueUsd": 1385017,
        "estimatedHighRevenueUsd": 3871323,
        "estimatedRevenueUsd": 2628170,
        "dayOfWeek": "MONDAY",
        "isToday": false
      },
      {
        "month": "April",
        "date": "01-04-2025",
        "dateISO": "2025-04-01T00:00:00.000Z",
        "subscriberCount": 389000000,
        "subscriberCountDelta": 9000000,
        "viewCount": 81170862798,
        "viewCountDelta": 4147428168,
        "videoCount": 865,
        "videoCountDelta": 7,
        "estimatedLowRevenueUsd": 1233123,
        "estimatedHighRevenueUsd": 3465502,
        "estimatedRevenueUsd": 2349312,
        "dayOfWeek": "WEDNESDAY",
        "isToday": false
      },
      {
        "month": "May",
        "date": "01-05-2025",
        "dateISO": "2025-05-01T00:00:00.000Z",
        "subscriberCount": 399000000,
        "subscriberCountDelta": 10000000,
        "viewCount": 84550575808,
        "viewCountDelta": 3379713010,
        "videoCount": 875,
        "videoCountDelta": 10,
        "estimatedLowRevenueUsd": 1335094,
        "estimatedHighRevenueUsd": 3738401,
        "estimatedRevenueUsd": 2536747,
        "dayOfWeek": "SATURDAY",
        "isToday": false
      },
      {
        "month": "June",
        "date": "01-06-2025",
        "dateISO": "2025-06-01T00:00:00.000Z",
        "subscriberCount": 410000000,
        "subscriberCountDelta": 11000000,
        "viewCount": 88307003756,
        "viewCountDelta": 3756427948,
        "videoCount": 881,
        "videoCountDelta": 6,
        "estimatedLowRevenueUsd": 1762804,
        "estimatedHighRevenueUsd": 4927341,
        "estimatedRevenueUsd": 3345072,
        "dayOfWeek": "MONDAY",
        "isToday": false
      },
      {
        "month": "July",
        "date": "01-07-2025",
        "dateISO": "2025-07-01T00:00:00.000Z",
        "subscriberCount": 418000000,
        "subscriberCountDelta": 8000000,
        "viewCount": 91852356497,
        "viewCountDelta": 3545352741,
        "videoCount": 889,
        "videoCountDelta": 8,
        "estimatedLowRevenueUsd": 2039970,
        "estimatedHighRevenueUsd": 5692201,
        "estimatedRevenueUsd": 3866085,
        "dayOfWeek": "THURSDAY",
        "isToday": false
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-channel-monthly-stats
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-channel-monthly-stats:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-channel-monthly-stats
      operationId: get_wf_youtube-channel-monthly-stats
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get Channel Details**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: >-
            If you would like to get the channel profile and details set this to
            `true`
          schema:
            type: boolean
        - name: monthsRange
          in: query
          required: true
          description: >-
            Number of months in the past. Possible values: `2` | `3` | `6` |
            `12` , Maximum value is 12
          schema:
            type: number
            default: 6
        - name: sortDesc
          in: query
          required: true
          description: |-
            Sort stats by date in an Descending Order 
            - Descending sort(Newest First) =`true`
            - Ascending sort (Oldest First) = `false`
          schema:
            type: boolean
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````